## fwupd-efi 1.2

=== meson_options.txt ===
option('efi-cc', type : 'string', value : 'gcc', description : 'the compiler to use for EFI modules')
option('efi-ld', type : 'string', value : 'ld', description : 'the linker to use for EFI modules')
option('efi-libdir', type : 'string', description : 'path to the EFI lib directory')
option('efi-ldsdir', type : 'string', description : 'path to the EFI lds directory')
option('efi-includedir', type : 'string', value : '/usr/include/efi', description : 'path to the EFI header directory')
option('efi_sbat_fwupd_generation', type : 'integer', value : 1, description : 'SBAT fwupd generation')
option('efi_sbat_distro_id', type : 'string', value : '', description : 'SBAT distribution ID, e.g. fedora')
option('efi_sbat_distro_summary', type : 'string', value : '', description : 'SBAT distribution summary, e.g. Fedora')
option('efi_sbat_distro_pkgname', type : 'string', value : '', description : 'SBAT distribution package name, e.g. fwupd')
option('efi_sbat_distro_version', type : 'string', value : '', description : 'SBAT distribution version, e.g. fwupd-1.5.6.fc33')
option('efi_sbat_distro_url', type : 'string', value : '', description : 'SBAT distribution URL, e.g. https://src.fedoraproject.org/rpms/fwupd')

=== debian/changelog ===
fwupd-efi (1:1.2-2~21.10.1) impish; urgency=medium

  [ Yuan-Chen Cheng ]
  * Upload as par of the new fwupd 1.7 serie SRU, needed for hardware
    as the Dell's new Atomic Docking and WD22TB4 (lp: #1949412).
  * change debhelper verson to 12 so we can build in impish.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 08 Feb 2022 14:19:55 +0100

fwupd-efi (1:1.2-2) unstable; urgency=medium

  * Correct the signing template to use binary package not source package

 -- Mario Limonciello <superm1@gmail.com>  Wed, 26 Jan 2022 13:15:00 -0600

fwupd-efi (1:1.2-1) unstable; urgency=medium

  * Update to 1.2 version.
  * Fix the JSON file generation for fwupd/fwupd-efi split (Closes: #1004321)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 24 Jan 2022 16:31:44 -0600

fwupd-efi (1:1.1-5) unstable; urgency=medium

  * Revert riscv64.  There are still other compilation problems that
    need to be fixed upstream and this can be revisited after
    fixing it there. (LP: #1939138)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 17 Jan 2022 10:02:44 -0600

fwupd-efi (1:1.1-4) unstable; urgency=medium

  * Build for riscv64 as well. (LP:# 1939138)

 -- Mario Limonciello <superm1@gmail.com>  Fri, 14 Jan 2022 11:10:25 -0600

fwupd-efi (1:1.1-3) unstable; urgency=medium

  * Drop the epoch from the Ubuntu EFI package (LP: #1956247)
  * Bump standards version.
  * Bump debian/watch to version 4.
  * Remove trailing whitespace from debian/control.

 -- Mario Limonciello <superm1@gmail.com>  Mon, 03 Jan 2022 17:08:56 -0600

fwupd-efi (1:1.1-2) unstable; urgency=medium

  * Breaks/Replaces on fwupd for the transition of fwupd binary.
    Closes: #1002518

 -- Mario Limonciello <superm1@gmail.com>  Tue, 28 Dec 2021 20:54:16 -0600

fwupd-efi (1:1.1-1) unstable; urgency=medium

  * Initial release

 -- Mario Limonciello <superm1@gmail.com>  Tue, 28 Sep 2021 20:40:23 -0500

=== debian/control ===
Source: fwupd-efi
Priority: optional
Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>,
           Matthias Klumpp <mak@debian.org>,
           Mario Limonciello <superm1@gmail.com>
Build-Depends: debhelper (>= 12),
               gnu-efi [amd64 arm64 armhf i386],
               meson,
               mingw-w64-tools [amd64 arm64 armhf i386],
Standards-Version: 4.6.0.1
Section: admin
Homepage: https://github.com/fwupd/fwupd-efi
Vcs-Git: https://salsa.debian.org/efi-team/fwupd-efi.git
Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-efi

Package: fwupd-unsigned
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: fwupd-signed
Multi-Arch: foreign
Breaks: fwupd (<< 1.7.1)
Replaces: fwupd (<< 1.7.1)
Description: Firmware update daemon (Unsigned EFI binaries)
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the EFI binaries used for UEFI capsule updates

Package: fwupd-unsigned-dev
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends},
         fwupd-unsigned (= ${binary:Version})
Description: Firmware update daemon (Development information)
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the dependencies for the fwupd daemon to resolve

Package: fwupd-amd64-signed-template
Architecture: amd64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         make | build-essential | dpkg-dev
Description: Template for signed fwupd package
 This package is used to control code signing by the Debian signing
 service.

Package: fwupd-i386-signed-template
Architecture: i386
Depends: ${shlibs:Depends},
         ${misc:Depends},
         make | build-essential | dpkg-dev
Description: Template for signed fwupd package
 This package is used to control code signing by the Debian signing
 service.

Package: fwupd-armhf-signed-template
Architecture: armhf
Depends: ${shlibs:Depends},
         ${misc:Depends},
         make | build-essential | dpkg-dev
Description: Template for signed fwupd package
 This package is used to control code signing by the Debian signing
 service.

Package: fwupd-arm64-signed-template
Architecture: arm64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         make | build-essential | dpkg-dev
Description: Template for signed fwupd package
 This package is used to control code signing by the Debian signing
 service.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL := C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

CONFARGS =

ifneq ($(CI),)
	CONFARGS += --werror --wrap-mode=default
endif

SB_STYLE := debian
deb_version := $(shell debian/grab_version)
deb_next_version := $(shell debian/grab_version --next)
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	SB_STYLE := ubuntu
	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
	CONFARGS += -Defi_sbat_distro_id=ubuntu
	CONFARGS += -Defi_sbat_distro_summary=Ubuntu
	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
	CONFARGS += -Defi_sbat_distro_url="https://launchpad.net/ubuntu/+source/fwupd"
else
	TMPLDIR  := debian/fwupd-$(DEB_HOST_ARCH)-signed-template/usr/share/code-signing/fwupd-$(DEB_HOST_ARCH)-signed-template
	CONFARGS += -Defi_sbat_distro_id=debian
	CONFARGS += -Defi_sbat_distro_summary=Debian
	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
	CONFARGS += -Defi_sbat_distro_version=$(deb_version)
	CONFARGS += -Defi_sbat_distro_url="https://tracker.debian.org/pkg/fwupd"
endif

%:
	dh $@

override_dh_auto_clean:
	rm -fr obj-*
	rm -fr debian/build
ifeq (ubuntu,$(SB_STYLE))
	rm -rf debian/fwupd-images
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFARGS)

override_dh_install:
	dh_install
ifeq (debian,$(SB_STYLE))
	# Generate the template source for the Debian signing service to use
	mkdir -p $(TMPLDIR)/source-template/debian
	cp -a debian/signing-template/* $(TMPLDIR)/source-template/debian
	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,SIGNARCH,$(DEB_HOST_ARCH),"
	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,SIGNVERSION,$(deb_version),"
	find $(TMPLDIR)/source-template/debian -type f | xargs sed -i "s,NEXTVERSION,$(deb_next_version),"
	set -e; for file in $$(find $(TMPLDIR)/source-template/debian -type f -name '*SIGNARCH*'); do \
		file1=$$(echo $$file | sed "s,SIGNARCH,$(DEB_HOST_ARCH),"); \
		mv -v $$file $$file1; \
	done
	debian/gen_signing_changelog $(TMPLDIR)/source-template/debian fwupd-efi $(DEB_HOST_ARCH)
	debian/gen_signing_json $(TMPLDIR) ${DEB_HOST_ARCH}
endif

override_dh_fixperms:
	dh_fixperms
	# This does *not* need to be executable - it's for the
	# firmware to run once installed
	chmod 644 debian/*/usr/libexec/fwupd/efi/*.efi

override_dh_builddeb:
	dh_builddeb
ifeq (ubuntu,$(SB_STYLE))
	set -e; if [ -d debian/tmp/usr/libexec/fwupd/efi/ ]; then \
		mkdir -p debian/fwupd-images/$(deb_version); \
		cp debian/tmp/usr/libexec/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version); \
		echo $(deb_version) > debian/fwupd-images/$(deb_version)/version; \
		tar -C debian/fwupd-images -czvf ../$(tar_name) .; \
		dpkg-distaddfile $(tar_name) raw-uefi -; \
	fi
endif

## fwupd-efi 1.4

=== debian/changelog ===
fwupd-efi (1:1.4-0ubuntu0.1) kinetic; urgency=medium

  * Stable release series backport (LP: #2011808)
  * Remove i386 from list of architectures, we do not build on there in
    the target build release. armhf will continue to receive unsigned
    updates.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 20 Mar 2023 13:11:14 +0100

fwupd-efi (1:1.4-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream release.
  * Notable changes:
    - Enforces NX by default.
    - Improvements for aarch64 builds.

  [ Jelmer Vernooij ]
  * Specify branch in Vcs-Git/Vcs-Browser headers

 -- Mario Limonciello <superm1@gmail.com>  Fri, 27 Jan 2023 09:15:57 -0600

fwupd-efi (1:1.2-3) unstable; urgency=medium

  [ Mario Limonciello ]
  * Rebuild to fix Build-Depends in the signed-template
    packages. Closes: #1005144

 -- Steve McIntyre <93sam@debian.org>  Wed, 09 Feb 2022 23:05:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: fwupd-efi
 Priority: optional
-Maintainer: Debian EFI <debian-efi@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Matthias Klumpp <mak@debian.org>,
            Mario Limonciello <superm1@gmail.com>
-Build-Depends: debhelper (>= 12),
-               gnu-efi [amd64 arm64 armhf i386],
+Build-Depends: debhelper (>= 13),
+               gnu-efi [amd64 arm64 armhf],
                meson,
-               mingw-w64-tools [amd64 arm64 armhf i386],
+               mingw-w64-tools [amd64 arm64 armhf],
 Standards-Version: 4.6.0.1
 Section: admin
 Homepage: https://github.com/fwupd/fwupd-efi
-Vcs-Git: https://salsa.debian.org/efi-team/fwupd-efi.git
-Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-efi
+Vcs-Git: https://salsa.debian.org/efi-team/fwupd-efi.git -b debian/unstable
+Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-efi/-/tree/debian/unstable
 
 Package: fwupd-unsigned
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Recommends: fwupd-signed
@@ -32,7 +33,7 @@
  This package provides the EFI binaries used for UEFI capsule updates
 
 Package: fwupd-unsigned-dev
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf
 Depends: ${misc:Depends},
          fwupd-unsigned (= ${binary:Version})
 Description: Firmware update daemon (Development information)
@@ -46,15 +47,6 @@
 
 Package: fwupd-amd64-signed-template
 Architecture: amd64
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         make | build-essential | dpkg-dev
-Description: Template for signed fwupd package
- This package is used to control code signing by the Debian signing
- service.
-
-Package: fwupd-i386-signed-template
-Architecture: i386
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          make | build-essential | dpkg-dev

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,11 @@
 
 SB_STYLE := debian
 deb_version := $(shell debian/grab_version)
+deb_version_no_epoch := $(shell debian/grab_version | sed s/.*://)
 deb_next_version := $(shell debian/grab_version --next)
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 	SB_STYLE := ubuntu
-	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
+	tar_name := fwupd_$(deb_version_no_epoch)_$(DEB_HOST_ARCH).tar.gz
 	CONFARGS += -Defi_sbat_distro_id=ubuntu
 	CONFARGS += -Defi_sbat_distro_summary=Ubuntu
 	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
@@ -71,9 +72,9 @@
 	dh_builddeb
 ifeq (ubuntu,$(SB_STYLE))
 	set -e; if [ -d debian/tmp/usr/libexec/fwupd/efi/ ]; then \
-		mkdir -p debian/fwupd-images/$(deb_version); \
-		cp debian/tmp/usr/libexec/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version); \
-		echo $(deb_version) > debian/fwupd-images/$(deb_version)/version; \
+		mkdir -p debian/fwupd-images/$(deb_version_no_epoch); \
+		cp debian/tmp/usr/libexec/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version_no_epoch); \
+		echo $(deb_version_no_epoch) > debian/fwupd-images/$(deb_version_no_epoch)/version; \
 		tar -C debian/fwupd-images -czvf ../$(tar_name) .; \
 		dpkg-distaddfile $(tar_name) raw-uefi -; \
 	fi

=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fwupd-efi-$1\.tar\.gz/ \
https://github.com/fwupd/fwupd-efi/tags .*/v?(\d\S*)\.tar\.gz

## fwupd-efi 1.6

=== debian/changelog ===
fwupd-efi (1:1.6-1build1) oracular; urgency=medium

  * No-change rebuild to work around Launchpad copy failure, let's also
    link the tracking bug (LP: #2060197)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 14 Jun 2024 15:28:34 +0200

fwupd-efi (1:1.6-1) unstable; urgency=medium

  * New upstream version (1.6).
  * Drop all patches, upstream

 -- Mario Limonciello <superm1@gmail.com>  Mon, 15 Apr 2024 20:18:07 -0500

fwupd-efi (1:1.5-4) unstable; urgency=medium

  * Backport another patch for aarch64 FTBFS

 -- Mario Limonciello <superm1@gmail.com>  Mon, 01 Apr 2024 15:27:41 -0500

fwupd-efi (1:1.5-3) unstable; urgency=medium

  * Backport some patches from upstream that should
    fix FTBFS on aarch64 with newer gnu-efi.

 -- Mario Limonciello <superm1@gmail.com>  Mon, 01 Apr 2024 12:32:31 -0500

fwupd-efi (1:1.5-2) unstable; urgency=medium

  * Bump minimum gnu-efi version to 3.0.18

 -- Mario Limonciello <superm1@gmail.com>  Mon, 25 Mar 2024 00:16:52 -0500

fwupd-efi (1:1.5-1) unstable; urgency=medium

  * New upstream release
    - Adds support for riscv64 and loongarch64
    - Adds SBOM support
    - UEFI 2.10 fixes
    - ARM32 fixes

 -- Mario Limonciello <superm1@gmail.com>  Wed, 20 Mar 2024 13:46:13 -0500

## fwupd-efi 1.7

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-option('efi-cc', type : 'string', value : 'gcc', description : 'the compiler to use for EFI modules')
-option('efi-ld', type : 'string', value : 'ld', description : 'the linker to use for EFI modules')
 option('efi-libdir', type : 'string', description : 'path to the EFI lib directory')
 option('efi-ldsdir', type : 'string', description : 'path to the EFI lds directory')
 option('efi-includedir', type : 'string', value : '/usr/include/efi', description : 'path to the EFI header directory')
@@ -9,3 +7,5 @@
 option('efi_sbat_distro_pkgname', type : 'string', value : '', description : 'SBAT distribution package name, e.g. fwupd')
 option('efi_sbat_distro_version', type : 'string', value : '', description : 'SBAT distribution version, e.g. fwupd-1.5.6.fc33')
 option('efi_sbat_distro_url', type : 'string', value : '', description : 'SBAT distribution URL, e.g. https://src.fedoraproject.org/rpms/fwupd')
+option('genpeimg', type : 'feature', description : 'Use genpeimg to add NX support to binaries')
+option('python', type : 'string', description : 'the absolute path of the python3 binary')

=== debian/changelog ===
fwupd-efi (1:1.7-1) unstable; urgency=medium

  * New upstream veresion (1.7)

 -- Mario Limonciello <superm1@gmail.com>  Fri, 20 Sep 2024 23:13:41 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: fwupd-efi
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
+Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Matthias Klumpp <mak@debian.org>,
            Mario Limonciello <superm1@gmail.com>
 Build-Depends: debhelper (>= 13),
-               gnu-efi [amd64 arm64 armhf],
+               gnu-efi (>= 3.0.18) [amd64 arm64 armhf i386 riscv64 loong64],
                meson,
-               mingw-w64-tools [amd64 arm64 armhf],
+               mingw-w64-tools [amd64 arm64 armhf i386 riscv64 loong64],
 Standards-Version: 4.6.0.1
 Section: admin
 Homepage: https://github.com/fwupd/fwupd-efi
@@ -16,7 +15,7 @@
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-efi/-/tree/debian/unstable
 
 Package: fwupd-unsigned
-Architecture: amd64 arm64 armhf
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Recommends: fwupd-signed
@@ -33,7 +32,7 @@
  This package provides the EFI binaries used for UEFI capsule updates
 
 Package: fwupd-unsigned-dev
-Architecture: amd64 arm64 armhf
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Depends: ${misc:Depends},
          fwupd-unsigned (= ${binary:Version})
 Description: Firmware update daemon (Development information)
@@ -47,6 +46,15 @@
 
 Package: fwupd-amd64-signed-template
 Architecture: amd64
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
+
+Package: fwupd-i386-signed-template
+Architecture: i386
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          make | build-essential | dpkg-dev
@@ -71,3 +79,21 @@
 Description: Template for signed fwupd package
  This package is used to control code signing by the Debian signing
  service.
+
+Package: fwupd-riscv64-signed-template
+Architecture: riscv64
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
+
+Package: fwupd-loong64-signed-template
+Architecture: loong64
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.

## fwupd-efi 1.8

=== debian/changelog ===
fwupd-efi (1:1.8-2) unstable; urgency=medium

  * Team upload
  * Source-only upload (Closes: #1125468)

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass a suitable efi-cc to meson (Closes: #1008025)

 -- Bastian Germann <bage@debian.org>  Wed, 14 Jan 2026 22:43:19 +0100

fwupd-efi (1:1.8-1) unstable; urgency=medium

  * New upstream version (1.8)
  * d/control: update my email

 -- Mario Limonciello <superm1@debian.org>  Fri, 10 Oct 2025 06:25:20 -0500

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,9 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
 
-CONFARGS =
+-include /usr/share/dpkg/buildtools.mk
+
+CONFARGS = '-Defi-cc=$(CC)'
 
 ifneq ($(CI),)
 	CONFARGS += --werror --wrap-mode=default
